Lisez les QR Codes avec la webcam de votre Ubuntu

closeCet article a été publié il y a 2 ans 3 mois 4 jours, il est donc possible qu’il ne soit plus à jour. Les informations proposées sont donc peut-être obsolètes.

J’ai il y a quelques jours reçu un courriel de Christophe, un lecteur de ce bloq me demandant comment utiliser QtQr sous Ubuntu pour lire des QR Codes avec la webcam.

Il a trouvé la solution avant que je n’ai moi même eu le temps de me pencher sur son problème en allant chercher les paquets nécessaire sur Launchpad.

Comme ces derniers ne sont pas disponibles sur les dépots officiels d’Ubuntu, vous ne devez les installer qu’en toute connaissance de cause en vous rendant sur la page dédiée et en téléchargeant les deux DEB python-qrtools_1.2_all.deb (md5, sig) et download icon qtqr_1.2_all.deb (md5, sig). Installez les à l’aide de la logithèque. Pour les autres distributions, vous trouverez sur la même page RPM et TAR.GZ.

En ce qui me concerne, j’ai du redémarrer ma session pour avoir l’application dans mon dash.

Une fois QtQr ouvert, vous avez la possibilité de créer des QR Codes, de les lire et même de les décoder avec la webcam.

Il n’y a qu’a suivre les indications apparaissant à l’écran et éventuellement sélectionner la webcam.

Je présente comme indiqué ci-dessus mon bout de papier avec le QR Code face à la caméra.

Dès que ce dernier est encadré de vert, c’est qu’il est reconnu. Il ne reste plus qu’à appuyer sur la touche entrée pour lire le résultat.

Un clic sur Oui et la page s’ouvre alors dans le navigateur.

Vous pouvez bien entendu utiliser QtQr pour créer vos propres QR Codes.

Amusez-vous bien.

12 réponses à Lisez les QR Codes avec la webcam de votre Ubuntu

  • @eQRoeil dit :

    Bonjour, pour ceux qui tomberaient ici en cherchant QR code et webcam il y a un soft gratuit pour pc (payant pour mac) sur http://quickmark.cn/En/basic/downloadMain.asp qui permet de décoder les qr codes avec la webcam ou en « survolant l’écran » Il y a aussi une extension chrome pour les lire d’un clic droit. Autre extension chrome qui utilise l’api zing https://chrome.google.com/webstore/detail/bfdjglobiolninfgldchakgfldifphic

  • coucou51100 dit :

    Très bonne astuce, moi qui n’ai pas internet sur mon smartphone, c’est difficile de prendre les codes QR ^^

  • gen-gen54 dit :

    Coucou.
    J’voudrais juste savoir comment il s’appel le conky de la deuxième photo ?
    J’le trouve plutôt joli :p

  • jesuiswiiizzz dit :

    Testé et approuvé.

  • Loky dit :

    Hello… Je n’arrive pas à l’installer, j’utilise ubuntu 12.04 et j’ai un message d’erreur de type : « Failed to fetch http://ubuntu-archive.sit.kmutt.ac.th/pool/universe/q/qrencode/qrencode_3.1.1-1ubuntu1_i386.deb 403 Forbidden »

    Thanks to help me !! ^^

  • asnodj dit :

    +1 pour Conky

  • rifi58 dit :

    Merci clapico !
    Tout est OK sauf la lecture d’un QR code sur une page de magazine par exemple…
    Comment faire ?
    Merci

  • jerem-cl dit :

    Impossible de l’installer pour ma part, j’ai loupé quelque chose ? Rien se s’ouvre dans la logithèque, et en console :

    jeremy@HPnetbook:~/Téléchargements$ ls
    python-qrtools_1.2_all.deb qtqr_1.2_all.deb
    jeremy@HPnetbook:~/Téléchargements$ sudo dpkg -i qtqr_1.2_all.deb python-qrtools_1.2_all.deb
    [sudo] password for jeremy:
    Selecting previously unselected package qtqr.
    (Lecture de la base de données… 174924 fichiers et répertoires déjà installés.)
    Dépaquetage de qtqr (à partir de qtqr_1.2_all.deb) …
    Selecting previously unselected package python-qrtools.
    Dépaquetage de python-qrtools (à partir de python-qrtools_1.2_all.deb) …
    dpkg : des problèmes de dépendances empêchent la configuration de python-qrtools :
    python-qrtools dépend de python-zbar ; cependant :
    Le paquet python-zbar n’est pas installé.
    python-qrtools dépend de qrencode ; cependant :
    Le paquet qrencode n’est pas installé.
    dpkg : erreur de traitement de python-qrtools (–install) :
    problèmes de dépendances – laissé non configuré
    dpkg : des problèmes de dépendances empêchent la configuration de qtqr :
    qtqr dépend de python-qrtools ; cependant :
    Le paquet python-qrtools n’est pas encore configuré.
    dpkg : erreur de traitement de qtqr (–install) :
    problèmes de dépendances – laissé non configuré
    Traitement des actions différées (« triggers ») pour « bamfdaemon »…
    Rebuilding /usr/share/applications/bamf.index…
    Traitement des actions différées (« triggers ») pour « desktop-file-utils »…
    Traitement des actions différées (« triggers ») pour « gnome-menus »…
    Traitement des actions différées (« triggers ») pour « man-db »…
    Des erreurs ont été rencontrées pendant l’exécution :
    python-qrtools
    qtqr
    jeremy@HPnetbook:~/Téléchargements$ sudo dpkg -i qtqr_1.2_all.deb
    (Lecture de la base de données… 174944 fichiers et répertoires déjà installés.)
    Préparation du remplacement de qtqr 1.2 (en utilisant qtqr_1.2_all.deb) …
    Dépaquetage de la mise à jour de qtqr …
    dpkg : des problèmes de dépendances empêchent la configuration de qtqr :
    qtqr dépend de python-qrtools ; cependant :
    Le paquet python-qrtools n’est pas encore configuré.
    dpkg : erreur de traitement de qtqr (–install) :
    problèmes de dépendances – laissé non configuré
    Traitement des actions différées (« triggers ») pour « bamfdaemon »…
    Rebuilding /usr/share/applications/bamf.index…
    Traitement des actions différées (« triggers ») pour « desktop-file-utils »…
    Traitement des actions différées (« triggers ») pour « gnome-menus »…
    Traitement des actions différées (« triggers ») pour « man-db »…
    Des erreurs ont été rencontrées pendant l’exécution :
    qtqr
    jeremy@HPnetbook:~/Téléchargements$ sudo dpkg -i python-qrtools_1.2_all.deb (Lecture de la base de données… 174944 fichiers et répertoires déjà installés.)
    Préparation du remplacement de python-qrtools 1.2 (en utilisant python-qrtools_1.2_all.deb) …
    Dépaquetage de la mise à jour de python-qrtools …
    dpkg : des problèmes de dépendances empêchent la configuration de python-qrtools :
    python-qrtools dépend de python-zbar ; cependant :
    Le paquet python-zbar n’est pas installé.
    python-qrtools dépend de qrencode ; cependant :
    Le paquet qrencode n’est pas installé.
    dpkg : erreur de traitement de python-qrtools (–install) :
    problèmes de dépendances – laissé non configuré
    Des erreurs ont été rencontrées pendant l’exécution :
    python-qrtools

Laisser un commentaire

Blog en pause
pause
Traducteur
    Translate to:

Catégories
Archives
Tout ouvrir | Tout fermer
Réseaux Sociaux

 

L’April

Top Blogs Ebuzzing

Wikio - Top des blogs - Logiciels libres